'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Button = require('./Button.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('styled-components');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Button_stories = {
  title: 'pocketUI/Button',
  component: Button['default'],
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'Log in'
    },
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    display: {
      control: {
        type: 'select',
        options: ['auto', 'all', 'icon', 'label']
      },
      defaultValue: 'auto'
    },
    mode: {
      control: {
        type: 'select',
        options: ['normal', 'strong', 'positive', 'negative']
      }
    },
    size: {
      control: {
        type: 'select',
        options: ['medium', 'small', 'mini']
      },
      defaultValue: 'medium'
    },
    wide: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => /*#__PURE__*/React__default['default'].createElement(Button['default'], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Button_stories;
//# sourceMappingURL=Button.stories.js.map
