'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var React = require('react');
var Button = require('./Button.js');
var Popover = require('./Popover.js');
require('./index-daca4eba.js');
require('styled-components');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');
require('./web-15d19f8b.js');
require('react-dom');
require('./prop-types-d00b0193.js');
require('./RootPortal.js');
require('./Root.js');
require('./components.js');
require('./springs.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Popover_stories = {
  title: 'pocketUI/Popover',
  component: Popover['default'],
  argTypes: {
    visible: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => {
  const opener = /*#__PURE__*/React__default['default'].createRef();
  return /*#__PURE__*/React__default['default'].createElement("div", null, /*#__PURE__*/React__default['default'].createElement(Button['default'], {
    onClick: () => {},
    ref: opener
  }, "Show"), /*#__PURE__*/React__default['default'].createElement(Popover['default'], _extends._extends({
    visible: args.visible || false,
    opener: opener.current
  }, args), "Hey"));
};

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Popover_stories;
//# sourceMappingURL=Popover.stories.js.map
