'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var _styled = require('styled-components');
var React = require('react');
var index$2 = require('./index-daca4eba.js');
var index$1 = require('./index-d885743c.js');
var index = require('./index-10fd7a13.js');
var constants = require('./constants.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Split___StyledDiv",
  componentId: "sc-15h5hna-0"
})(["flex-grow:1;margin-left:", "px;padding-top:", "px;"], p => p._css, p => p._css2);

var _StyledDiv2 = _styled__default['default']("div").withConfig({
  displayName: "Split___StyledDiv2",
  componentId: "sc-15h5hna-1"
})(["flex-shrink:0;flex-grow:0;width:", ";margin-left:", "px;padding-top:", "px;"], p => p._css3, p => p._css4, p => p._css5);

var _StyledDiv3 = _styled__default['default']("div").withConfig({
  displayName: "Split___StyledDiv3",
  componentId: "sc-15h5hna-2"
})(["display:", ";width:100%;"], p => p._css6);

function Split({
  primary,
  secondary,
  invert,
  secondaryWidth,
  ...props
}) {
  const {
    within
  } = index.me();
  const oneColumn = within(-1, 'medium');
  const inverted = !oneColumn && invert === 'horizontal' || oneColumn && invert === 'vertical';
  const primaryContent = /*#__PURE__*/React__default['default'].createElement(index$1.i, {
    name: "Split:primary"
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv, {
    _css: !oneColumn && inverted ? 4 * constants.GU : 0,
    _css2: oneColumn && inverted ? 4 * constants.GU : 0
  }, primary));
  const secondaryContent = /*#__PURE__*/React__default['default'].createElement(index$1.i, {
    name: "Split:secondary"
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv2, {
    _css3: secondaryWidth && !oneColumn ? secondaryWidth : oneColumn ? '100%' : `${46 * constants.GU}px`,
    _css4: !oneColumn && !inverted ? 4 * constants.GU : 0,
    _css5: oneColumn && !inverted ? 4 * constants.GU : 0
  }, secondary));
  return /*#__PURE__*/React__default['default'].createElement(index$1.i, {
    name: "Split"
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv3, _extends._extends({}, props, {
    _css6: oneColumn ? 'block' : 'flex'
  }), inverted ? secondaryContent : primaryContent, inverted ? primaryContent : secondaryContent));
}

Split.propTypes = {
  invert: index$2.propTypes.oneOf(['none', 'horizontal', 'vertical']),
  primary: index$2.propTypes.node,
  secondary: index$2.propTypes.node,
  secondaryWidth: index$2.propTypes.string
};
Split.defaultProps = {
  invert: 'none'
};

exports.Split = Split;
exports.default = Split;
//# sourceMappingURL=Split.js.map
