'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var React = require('react');
var Table = require('./Table.js');
var TableCell = require('./TableCell.js');
var TableHeader = require('./TableHeader.js');
var TableRow = require('./TableRow.js');
require('./index-daca4eba.js');
require('styled-components');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./prop-types-d00b0193.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Table_stories = {
  title: 'pocketUI/Table',
  component: Table['default']
};

const Template = args => /*#__PURE__*/React__default['default'].createElement(Table['default'], _extends._extends({
  header: /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement(TableRow['default'], null, /*#__PURE__*/React__default['default'].createElement(TableHeader['default'], {
    title: "Month"
  }), /*#__PURE__*/React__default['default'].createElement(TableHeader['default'], {
    title: "Activity"
  })))
}, args), /*#__PURE__*/React__default['default'].createElement(TableRow['default'], null, /*#__PURE__*/React__default['default'].createElement(TableCell['default'], null, /*#__PURE__*/React__default['default'].createElement("p", null, "January")), /*#__PURE__*/React__default['default'].createElement(TableCell['default'], null, /*#__PURE__*/React__default['default'].createElement("p", null, "10 commits"))), /*#__PURE__*/React__default['default'].createElement(TableRow['default'], null, /*#__PURE__*/React__default['default'].createElement(TableCell['default'], null, /*#__PURE__*/React__default['default'].createElement("p", null, "February")), /*#__PURE__*/React__default['default'].createElement(TableCell['default'], null, /*#__PURE__*/React__default['default'].createElement("p", null, "32 commits"))));

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Table_stories;
//# sourceMappingURL=Table.stories.js.map
