'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var TextCopy = require('./TextCopy.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('styled-components');
require('./TextInput.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./ButtonIcon.js');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./keycodes.js');
require('./css.js');
require('./IconCopy.js');
require('./IconPropTypes-34696f50.js');
require('./index-d885743c.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var TextCopy_stories = {
  title: 'pocketUI/TextCopy',
  component: TextCopy['default'],
  argTypes: {
    value: {
      control: 'text',
      defaultValue: 'Log in'
    },
    monospace: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => /*#__PURE__*/React__default['default'].createElement(TextCopy['default'], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = TextCopy_stories;
//# sourceMappingURL=TextCopy.stories.js.map
