'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var TextInput = require('./TextInput.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('styled-components');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var TextInput_stories = {
  title: 'pocketUI/TextInput',
  component: TextInput['default'],
  argTypes: {
    wide: {
      control: 'boolean',
      defaultValue: false
    },
    value: {
      control: {
        type: 'text',
        defaultValue: ''
      }
    }
  }
};

const Template = args => /*#__PURE__*/React__default['default'].createElement(TextInput['default'], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = TextInput_stories;
//# sourceMappingURL=TextInput.stories.js.map
