import React from 'react';
import Field from './Field.js';
import WrapperTextInput from '../TextInput/TextInput.js';

var Field_stories = {
  title: 'pocketUI/Field',
  component: Field,
  argTypes: {
    label: {
      control: 'text',
      defaultValue: 'POKT Address'
    },
    required: {
      control: 'boolean',
      defaultValue: 'false'
    }
  }
};

const Template = args => {
  const [value, setValue] = React.useState('');
  return /*#__PURE__*/React.createElement(Field, args, ({
    id
  }) => /*#__PURE__*/React.createElement(WrapperTextInput, {
    placeholder: "deadbeef",
    value: value,
    id: id,
    onChange: e => setValue(e.target.value)
  }));
};

const Primary = Template.bind({});

export default Field_stories;
export { Primary };
//# sourceMappingURL=Field.stories.js.map
