import React from 'react';
import Link from './Link.js';

var Link_stories = {
  title: 'pocketUI/Link',
  component: Link,
  argTypes: {
    children: {
      type: 'text',
      defaultValue: 'Click here!'
    },
    external: {
      control: 'boolean',
      defaultValue: false
    },
    href: {
      control: {
        type: 'text',
        defaultValue: ''
      }
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(Link, args);

const Primary = Template.bind({});

export default Link_stories;
export { Primary };
//# sourceMappingURL=Link.stories.js.map
