'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Field = require('./Field.js');
var TextInput = require('./TextInput.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('styled-components');
require('./index-d885743c.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./css.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Field_stories = {
  title: 'pocketUI/Field',
  component: Field['default'],
  argTypes: {
    label: {
      control: 'text',
      defaultValue: 'POKT Address'
    },
    required: {
      control: 'boolean',
      defaultValue: 'false'
    }
  }
};

const Template = args => {
  const [value, setValue] = React__default['default'].useState('');
  return /*#__PURE__*/React__default['default'].createElement(Field['default'], args, ({
    id
  }) => /*#__PURE__*/React__default['default'].createElement(TextInput['default'], {
    placeholder: "deadbeef",
    value: value,
    id: id,
    onChange: e => setValue(e.target.value)
  }));
};

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Field_stories;
//# sourceMappingURL=Field.stories.js.map
