'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Help = require('./Help.js');
require('styled-components');
require('./index-daca4eba.js');
require('./index-d885743c.js');
require('./DiscButton.js');
require('./extends-dcc897fe.js');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');
require('./Popover.js');
require('./web-15d19f8b.js');
require('react-dom');
require('./prop-types-d00b0193.js');
require('./RootPortal.js');
require('./Root.js');
require('./components.js');
require('./springs.js');
require('./IconQuestion.js');
require('./IconPropTypes-34696f50.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Help_stories = {
  title: 'pocketUI/Help',
  component: Help['default'],
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'I am a help hint. Here you will get useful information about something, if implemented correctly!'
    },
    hint: {
      control: 'text',
      defaultValue: 'What is this for?'
    }
  }
};

const Template = args => {
  return /*#__PURE__*/React__default['default'].createElement(Help['default'], args);
};

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Help_stories;
//# sourceMappingURL=Help.stories.js.map
