'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Link = require('./Link.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('styled-components');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Link_stories = {
  title: 'pocketUI/Link',
  component: Link['default'],
  argTypes: {
    children: {
      type: 'text',
      defaultValue: 'Click here!'
    },
    external: {
      control: 'boolean',
      defaultValue: false
    },
    href: {
      control: {
        type: 'text',
        defaultValue: ''
      }
    }
  }
};

const Template = args => /*#__PURE__*/React__default['default'].createElement(Link['default'], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports.default = Link_stories;
//# sourceMappingURL=Link.stories.js.map
