'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var index$1 = require('./index-daca4eba.js');
var index = require('./index-10fd7a13.js');
var BaseStyles = require('./BaseStyles.js');
var ToastHub = require('./ToastHub.js');
var Root = require('./Root.js');
var Theme = require('./Theme.js');
require('./extends-dcc897fe.js');
require('styled-components');
require('./text-styles.js');
require('./font.js');
require('./defineProperty-74f274e0.js');
require('./web-15d19f8b.js');
require('react-dom');
require('./RootPortal.js');
require('./springs.js');
require('./components.js');
require('./constants.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function Main({
  children,
  theme = 'dark'
}) {
  return /*#__PURE__*/React__default['default'].createElement(Root.Root.Provider, null, /*#__PURE__*/React__default['default'].createElement(BaseStyles['default'], null), /*#__PURE__*/React__default['default'].createElement(Theme.Theme, {
    theme: theme
  }, /*#__PURE__*/React__default['default'].createElement(index.de, null, /*#__PURE__*/React__default['default'].createElement(ToastHub['default'], null, children))));
}
Main.propTypes = {
  children: index$1.propTypes.node,
  theme: index$1.propTypes.string
};

exports.default = Main;
//# sourceMappingURL=Main.js.map
