'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _styled = require('styled-components');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);

function getHeight({
  axis,
  size
}) {
  return axis === 'horizontal' ? 1 : size;
}

function getWidth({
  axis,
  size
}) {
  return axis === 'vertical' ? 1 : size;
}

const Spacer = _styled__default['default'].span.withConfig({
  displayName: "Spacer",
  componentId: "sc-1rnfw8x-0"
})(["display:block;width:", "px;min-width:", "px;height:", "px;min-height:", "px;"], getWidth, getWidth, getHeight, getHeight);

exports.default = Spacer;
//# sourceMappingURL=Spacer.js.map
