import _styled from 'styled-components';

function getHeight({
  axis,
  size
}) {
  return axis === 'horizontal' ? 1 : size;
}

function getWidth({
  axis,
  size
}) {
  return axis === 'vertical' ? 1 : size;
}

const Spacer = _styled.span.withConfig({
  displayName: "Spacer",
  componentId: "sc-1rnfw8x-0"
})(["display:block;width:", "px;min-width:", "px;height:", "px;min-height:", "px;"], getWidth, getWidth, getHeight, getHeight);

export default Spacer;
//# sourceMappingURL=Spacer.js.map
