import React from 'react';
import WrapperTextInput from './TextInput.js';

var TextInput_stories = {
  title: 'pocketUI/TextInput',
  component: WrapperTextInput,
  argTypes: {
    wide: {
      control: 'boolean',
      defaultValue: false
    },
    value: {
      control: {
        type: 'text',
        defaultValue: ''
      }
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(WrapperTextInput, args);

const Primary = Template.bind({});

export default TextInput_stories;
export { Primary };
//# sourceMappingURL=TextInput.stories.js.map
