'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _styled = require('styled-components');
var React = require('react');
var IconEllipsis = require('./IconEllipsis.js');
var Theme = require('./Theme.js');
require('./extends-dcc897fe.js');
require('./index-daca4eba.js');
require('./IconPropTypes-34696f50.js');
require('./index-d885743c.js');
require('./constants.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "paginationSeparator___StyledDiv",
  componentId: "sv6hd-0"
})(["display:flex;align-items:center;justify-content:center;"]);

var _StyledIconEllipsis = _styled__default['default'](IconEllipsis['default']).withConfig({
  displayName: "paginationSeparator___StyledIconEllipsis",
  componentId: "sv6hd-1"
})(["color:", ";"], p => p._css);

const PaginationSeparator = /*#__PURE__*/React__default['default'].memo(function PaginationSeparator() {
  const theme = Theme.useTheme();
  return /*#__PURE__*/React__default['default'].createElement(_StyledDiv, null, /*#__PURE__*/React__default['default'].createElement(_StyledIconEllipsis, {
    _css: theme.surfaceContentSecondary.alpha(0.4)
  }));
});

exports.PaginationSeparator = PaginationSeparator;
//# sourceMappingURL=paginationSeparator.js.map
